Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class QRectF

    java.lang.Object
      com.trolltech.qt.internal.QSignalEmitterInternal
          com.trolltech.qt.QSignalEmitter
              com.trolltech.qt.QtJambiObject
                  com.trolltech.qt.core.QRectF

All Implemented Interfaces:
  QtJambiInterface, java.lang.Cloneable

    public class QRectF

extends QtJambiObject
implements java.lang.Cloneable

The `QRectF` class defines a rectangle in the plane using floating point precision. A rectangle is normally expressed as an upper-left corner and a size. The size (width and height) of a `QRectF` is always equivalent to the mathematical rectangle that forms the basis for its rendering.

A `QRectF` can be constructed with a set of left, top, width and height integers, or from a `QPoint` and a `QSize`. The following code creates two identical rectangles.

            QRectF r1 = new QRectF(100, 200, 11, 16);
            QRectF r2 = new QRectF(new QPointF(100, 200), new QSizeF(11, 16));

There is also a third constructor creating a `QRectF` from a `QRect`, and a corresponding `toRect()` function that returns a `QRect` object based on the values of this rectangle (note that the coordinates in the returned rectangle are rounded to the nearest integer).

The `QRectF` class provides a collection of functions that return the various rectangle coordinates, and enable manipulation of these. `QRectF` also provide functions to move the rectangle relative to the various coordinates. In addition there is a `moveTo()` function that moves the rectangle, leaving its top left corner at the given coordinates. Alternatively, the `translate()` function moves the rectangle the given offset relative to the current position, and the `translated()` function returns a translated copy of this rectangle.

The `size()` function returns the rectange's dimensions as a `QSize`. The dimensions can also be retrieved separately using the `width()` and `height()` functions. To manipulate the dimensions use the `setSize()`, `setWidth()` or `setHeight()` functions. Alternatively, the size can be changed by applying either of the functions setting the rectangle coordinates, for example, `setBottom()` or `setRight()`.

The `contains()` function tells whether a given point is inside the rectangle or not, and the `intersects()` function returns true if this rectangle intersects with a given rectangle (otherwise false). The `QRectF` class also provides the `intersected()` function which returns the intersection rectangle, and the `united()` function which returns the rectangle that encloses the given rectangle and this:

`intersected()` | `united()`

The `isEmpty()` function returns true if the rectangle's width or height is less than, or equal to, 0. Note that an empty rectangle is not valid: The `isValid()` function returns true if both width and height is larger than 0. A null rectangle (`isNull()` == true) on the other hand, has both width and height set to 0.

Note that due to the way `QRect` and `QRectF` are defined, an empty `QRectF` is defined in essentially the same way as `QRect`.

Finally, `QRectF` objects can be streamed as well as compared.

- Rendering
- Coordinates

## Rendering

When using an `anti-aliased` painter, the boundary line of a `QRectF` will be rendered symmetrically on both sides of the mathematical rectangle's boundary line. But when using an aliased painter (the default) other rules apply.

Then, when rendering with a one pixel wide pen the `QRectF`'s boundary line will be rendered to the right and below the mathematical rectangle's boundary line.

When rendering with a two pixels wide pen the boundary line will be split in the middle by the mathematical rectangle. This will be the case whenever the pen is set to an even number of pixels, while rendering with a pen with an odd number of pixels, the spare pixel will be rendered to the right and below the mathematical rectangle as in the one pixel case.

Logical representation | One pixel wide pen
Two pixel wide pen | Three pixel wide pen

## Coordinates

The `QRectF` class provides a collection of functions that return the various rectangle coordinates, and enable manipulation of these. `QRectF` also provide functions to move the rectangle relative to the various coordinates.

For example: the `bottom()`, `setBottom()` and `moveBottom()` functions: `bottom()` returns the y-coordinate of the rectangle's bottom edge, `setBottom()` sets the bottom edge of the rectangle to the given y coordinate (it may change the height, but will never change the rectangle's top edge) and `moveBottom()` moves the entire rectangle vertically, leaving the rectangle's bottom edge at the given y coordinate and its size unchanged.

It is also possible to add offsets to this rectangle's coordinates using the `adjust()` function, as well as retrieve a new rectangle based on adjustments of the original one using the `adjusted()` function. If either of the width and height is negative, use the `normalized()` function to retrieve a rectangle where the corners are swapped.

In addition, `QRectF` provides the getCoords() function which extracts the position of the rectangle's top-left and bottom-right corner, and the getRect() function which extracts the rectangle's top-left corner, width and height. Use the `setCoords()` and `setRect()` function to manipulate the rectangle's coordinates and dimensions in one go.

See also:
  `QRect`, and `QRegion`.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Nested classes/interfaces inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`com.trolltech.qt.internal.QSignalEmitterInternal.AbstractSignalInternal`

Field Summary

Fields inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`currentSender`

Constructor Summary
`QRectF()` Constructs a null rectangle.
`QRectF(double left, double top, double width, double height)` Constructs a rectangle with (`x`, `y`) as its top-left corner and the given `width` and `height`.
`QRectF(QPointF topleft, QPointF bottomRight)` Constructs a rectangle with the given `topLeft` and `bottomRight` corners.
`QRectF(QPointF topleft, QSizeF size)` Constructs a rectangle with the given `topLeft` corner and the given `size`.
`QRectF(QRect rect)` Constructs a `QRectF` rectangle from the given `QRect` `rectangle`.

Method Summary
`void` | `adjust(double x1, double y1, double x2, double y2)` Adds `dx1`, `dy1`, `dx2` and `dy2` respectively to the existing coordinates of the rectangle.
`QRectF` | `adjusted(double x1, double y1, double x2, double y2)` Returns a new rectangle with `dx1`, `dy1`, `dx2` and `dy2` added respectively to the existing coordinates of this rectangle.
`double` | `bottom()` Returns the y-coordinate of the rectangle's bottom edge.
`QPointF` | `bottomLeft()` Returns the position of the rectangle's bottom-left corner.
`QPointF` | `bottomRight()` Returns the position of the rectangle's bottom-right corner.
`QPointF` | `center()` Returns the center point of the rectangle.
`QRectF` | `clone()` This method is reimplemented for internal reasons
`boolean` | `contains(double x, double y)` Returns true if the point (`x`, `y`) is inside or on the edge of the rectangle; otherwise returns false.
`boolean` | `contains(QPointF p)` Returns true if the given `point` is inside or on the edge of the rectangle; otherwise returns false.
`boolean` | `contains(QRectF r)` Returns true if the given `rectangle` is inside this rectangle; otherwise returns false.
`double` | `height()` Returns the height of the rectangle.
`QRectF` | `intersected(QRectF other)` Returns the intersection of this rectangle and the given `rectangle`.
`boolean` | `intersects(QRectF r)` Returns true if this rectangle intersects with the given `rectangle` (i.
`boolean` | `isEmpty()` Returns true if the rectangle is empty, otherwise returns false.
`boolean` | `isNull()` Returns true if the rectangle is a null rectangle, otherwise returns false.
`boolean` | `isValid()` Returns true if the rectangle is valid, otherwise returns false.
`double` | `left()` Returns the x-coordinate of the rectangle's left edge.
`void` | `moveBottom(double pos)` Moves the rectangle vertically, leaving the rectangle's bottom edge at the given `y` coordinate.
`void` | `moveBottomLeft(QPointF p)` Moves the rectangle, leaving the bottom-left corner at the given `position`.
`void` | `moveBottomRight(QPointF p)` Moves the rectangle, leaving the bottom-right corner at the given `position`.
`void` | `moveCenter(QPointF p)` Moves the rectangle, leaving the center point at the given `position`.
`void` | `moveLeft(double pos)` Moves the rectangle horizontally, leaving the rectangle's left edge at the given `x` coordinate.
`void` | `moveRight(double pos)` Moves the rectangle horizontally, leaving the rectangle's right edge at the given `x` coordinate.
`void` | `moveTo(double x, double t)` Moves the rectangle, leaving the top-left corner at the given position (`x`, `y`).
`void` | `moveTo(QPointF p)` Moves the rectangle, leaving the top-left corner at the given `position`.
`void` | `moveTop(double pos)` Moves the rectangle vertically, leaving the rectangle's top line at the given `y` coordinate.
`void` | `moveTopLeft(QPointF p)` Moves the rectangle, leaving the top-left corner at the given `position`.
`void` | `moveTopRight(QPointF p)` Moves the rectangle, leaving the top-right corner at the given `position`.
`QRectF` | `normalized()` Returns a normalized rectangle; i.
`void` | `readFrom(QDataStream arg__1)` Reads a QRectF
`double` | `right()` Returns the x-coordinate of the rectangle's right edge.
`void` | `setBottom(double pos)` Sets the bottom edge of the rectangle to the given `y` coordinate.
`void` | `setBottomLeft(QPointF p)` Set the bottom-left corner of the rectangle to the given `position`.
`void` | `setBottomRight(QPointF p)` Set the bottom-right corner of the rectangle to the given `position`.
`void` | `setCoords(double x1, double y1, double x2, double y2)` Sets the coordinates of the rectangle's top-left corner to (`x1`, `y1`), and the coordinates of its bottom-right corner to (`x2`, `y2`).
`void` | `setHeight(double h)` Sets the height of the rectangle to the given `height`.
`void` | `setLeft(double pos)` Sets the left edge of the rectangle to the given `x` coordinate.
`void` | `setRect(double x, double y, double w, double h)` Sets the coordinates of the rectangle's top-left corner to (`x`, `y`), and its size to the given `width` and `height`.
`void` | `setRight(double pos)` Sets the right edge of the rectangle to the given `x` coordinate.
`void` | `setSize(QSizeF s)` Sets the size of the rectangle to the given `size`.
`void` | `setTop(double pos)` Sets the top edge of the rectangle to the given `y` coordinate.
`void` | `setTopLeft(QPointF p)` Set the top-left corner of the rectangle to the given `position`.
`void` | `setTopRight(QPointF p)` Set the top-right corner of the rectangle to the given `position`.
`void` | `setWidth(double w)` Sets the width of the rectangle to the given `width`.
`void` | `setX(double pos)` Sets the left edge of the rectangle to the given `x` coordinate.
`void` | `setY(double pos)` Sets the top edge of the rectangle to the given `y` coordinate.
`QSizeF` | `size()` Returns the size of the rectangle.
`QRect` | `toAlignedRect()` Returns a `QRect` based on the values of this rectangle that is the smallest possible integer rectangle that completely contains this rectangle.
`double` | `top()` Returns the y-coordinate of the rectangle's top edge.
`QPointF` | `topLeft()` Returns the position of the rectangle's top-left corner.
`QPointF` | `topRight()` Returns the position of the rectangle's top-right corner.
`QRect` | `toRect()` Returns a `QRect` based on the values of this rectangle.
`java.lang.String` | `toString()` Returns a string representation of the `this QRectF`.
`void` | `translate(double dx, double dy)` Moves the rectangle `dx` along the x-axis and `dy` along the y-axis, relative to the current position.
`void` | `translate(QPointF p)` Moves the rectangle `offset`.
`QRectF` | `translated(double dx, double dy)` Returns a copy of the rectangle that is translated `dx` along the x axis and `dy` along the y axis, relative to the current position.
`QRectF` | `translated(QPointF p)` Returns a copy of the rectangle that is translated `offset`.
`QRectF` | `united(QRectF other)` Returns the bounding rectangle of this rectangle and the given `rectangle`.
`double` | `width()` Returns the width of the rectangle.
`void` | `writeTo(QDataStream arg__1)` Writes thisQRectF
`double` | `x()` Returns the x-coordinate of the rectangle's left edge.
`double` | `y()` Returns the y-coordinate of the rectangle's top edge.

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`__qt_signalInitialization`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QRectF

    public QRectF()

  Constructs a null rectangle.

See also:
  `isNull()`.

### QRectF

    public QRectF(QPointF topleft,
                  QPointF bottomRight)

  Constructs a rectangle with the given `topLeft` and `bottomRight` corners.

See also:
  `setTopLeft()`, and `setBottomRight()`.

### QRectF

    public QRectF(QPointF topleft,
                  QSizeF size)

  Constructs a rectangle with the given `topLeft` corner and the given `size`.

See also:
  `setTopLeft()`, and `setSize()`.

### QRectF

    public QRectF(QRect rect)

  Constructs a `QRectF` rectangle from the given `QRect` `rectangle`.

See also:
  `toRect()`.

### QRectF

    public QRectF(double left,
                  double top,
                  double width,
                  double height)

  Constructs a rectangle with (`x`, `y`) as its top-left corner and the given `width` and `height`.

See also:
  `setRect()`.

Method Detail

### adjust

    public final void adjust(double x1,
                             double y1,
                             double x2,
                             double y2)

  Adds `dx1`, `dy1`, `dx2` and `dy2` respectively to the existing coordinates of the rectangle.

See also:
  `adjusted()`, and `setRect()`.

### adjusted

    public final QRectF adjusted(double x1,
                                 double y1,
                                 double x2,
                                 double y2)

  Returns a new rectangle with `dx1`, `dy1`, `dx2` and `dy2` added respectively to the existing coordinates of this rectangle.

See also:
  `adjust()`.

### bottom

    public final double bottom()

  Returns the y-coordinate of the rectangle's bottom edge.

See also:
  `setBottom()`, `bottomLeft()`, and `bottomRight()`.

### bottomLeft

    public final QPointF bottomLeft()

  Returns the position of the rectangle's bottom-left corner.

See also:
  `setBottomLeft()`, `bottom()`, and `left()`.

### bottomRight

    public final QPointF bottomRight()

  Returns the position of the rectangle's bottom-right corner.

See also:
  `setBottomRight()`, `bottom()`, and `right()`.

### center

    public final QPointF center()

  Returns the center point of the rectangle.

See also:
  `moveCenter()`.

### contains

    public final boolean contains(QPointF p)

  Returns true if the given `point` is inside or on the edge of the rectangle; otherwise returns false.

See also:
  `intersects()`.

### contains

    public final boolean contains(QRectF r)

  Returns true if the given `rectangle` is inside this rectangle; otherwise returns false.

### contains

    public final boolean contains(double x,
                                  double y)

  Returns true if the point (`x`, `y`) is inside or on the edge of the rectangle; otherwise returns false.

### height

    public final double height()

  Returns the height of the rectangle.

See also:
  `setHeight()`, `width()`, and `size()`.

### intersected

    public final QRectF intersected(QRectF other)

  Returns the intersection of this rectangle and the given `rectangle`. Note that `r.intersected(s)` is equivalent to `r & s`.

See also:
  `intersects()`, `united()`, and operator&=().

### intersects

    public final boolean intersects(QRectF r)

  Returns true if this rectangle intersects with the given `rectangle` (i. . there is a non-empty area of overlap between them), otherwise returns false.

  The intersection rectangle can be retrieved using the `intersected()` function.

See also:
  `contains()`.

### isEmpty

    public final boolean isEmpty()

  Returns true if the rectangle is empty, otherwise returns false.

  An empty rectangle has `width()` <= 0 or `height()` <= 0. An empty rectangle is not valid (i.e., `isEmpty()` == !`isValid()`).

  Use the `normalized()` function to retrieve a rectangle where the corners are swapped.

See also:
  `isNull()`, `isValid()`, and `normalized()`.

### isNull

    public final boolean isNull()

  Returns true if the rectangle is a null rectangle, otherwise returns false.

  A null rectangle has both the width and the height set to 0. A null rectangle is also empty, and hence not valid.

See also:
  `isEmpty()`, and `isValid()`.

### isValid

    public final boolean isValid()

  Returns true if the rectangle is valid, otherwise returns false.

  A valid rectangle has a `width()` > 0 and `height()` > 0. Note that non-trivial operations like intersections are not defined for invalid rectangles. A valid rectangle is not empty (i.e., `isValid()` == !`isEmpty()`).

See also:
  `isNull()`, `isEmpty()`, and `normalized()`.

### left

    public final double left()

  Returns the x-coordinate of the rectangle's left edge. Equivalent to `x()`.

See also:
  `setLeft()`, `topLeft()`, and `bottomLeft()`.

### moveBottom

    public final void moveBottom(double pos)

  Moves the rectangle vertically, leaving the rectangle's bottom edge at the given `y` coordinate. The rectangle's size is unchanged.

See also:
  `bottom()`, `setBottom()`, and `moveTop()`.

### moveBottomLeft

    public final void moveBottomLeft(QPointF p)

  Moves the rectangle, leaving the bottom-left corner at the given `position`. The rectangle's size is unchanged.

See also:
  `setBottomLeft()`, `moveBottom()`, and `moveLeft()`.

### moveBottomRight

    public final void moveBottomRight(QPointF p)

  Moves the rectangle, leaving the bottom-right corner at the given `position`. The rectangle's size is unchanged.

See also:
  `setBottomRight()`, `moveBottom()`, and `moveRight()`.

### moveCenter

    public final void moveCenter(QPointF p)

  Moves the rectangle, leaving the center point at the given `position`. The rectangle's size is unchanged.

See also:
  `center()`.

### moveLeft

    public final void moveLeft(double pos)

  Moves the rectangle horizontally, leaving the rectangle's left edge at the given `x` coordinate. The rectangle's size is unchanged.

See also:
  `left()`, `setLeft()`, and `moveRight()`.

### moveRight

    public final void moveRight(double pos)

  Moves the rectangle horizontally, leaving the rectangle's right edge at the given `x` coordinate. The rectangle's size is unchanged.

See also:
  `right()`, `setRight()`, and `moveLeft()`.

### moveTo

    public final void moveTo(QPointF p)

  Moves the rectangle, leaving the top-left corner at the given `position`.

### moveTo

    public final void moveTo(double x,
                             double t)

  Moves the rectangle, leaving the top-left corner at the given position (`x`, `y`). The rectangle's size is unchanged.

See also:
  `translate()`, and `moveTopLeft()`.

### moveTop

    public final void moveTop(double pos)

  Moves the rectangle vertically, leaving the rectangle's top line at the given `y` coordinate. The rectangle's size is unchanged.

See also:
  `top()`, `setTop()`, and `moveBottom()`.

### moveTopLeft

    public final void moveTopLeft(QPointF p)

  Moves the rectangle, leaving the top-left corner at the given `position`. The rectangle's size is unchanged.

See also:
  `setTopLeft()`, `moveTop()`, and `moveLeft()`.

### moveTopRight

    public final void moveTopRight(QPointF p)

  Moves the rectangle, leaving the top-right corner at the given `position`. The rectangle's size is unchanged.

See also:
  `setTopRight()`, `moveTop()`, and `moveRight()`.

### normalized

    public final QRectF normalized()

  Returns a normalized rectangle; i. ., a rectangle that has a non-negative width and height.

  If `width()` < 0 the function swaps the left and right corners, and it swaps the top and bottom corners if `height()` < 0.

See also:
  `isValid()`, and `isEmpty()`.

### writeTo

    public final void writeTo(QDataStream arg__1)

  Writes thisQRectF

### readFrom

    public final void readFrom(QDataStream arg__1)

  Reads a QRectF

### right

    public final double right()

  Returns the x-coordinate of the rectangle's right edge.

See also:
  `setRight()`, `topRight()`, and `bottomRight()`.

### setBottom

    public final void setBottom(double pos)

  Sets the bottom edge of the rectangle to the given `y` coordinate. May change the height, but will never change the top edge of the rectangle.

See also:
  `bottom()`, and `moveBottom()`.

### setBottomLeft

    public final void setBottomLeft(QPointF p)

  Set the bottom-left corner of the rectangle to the given `position`. May change the size, but will never change the top-right corner of the rectangle.

See also:
  `bottomLeft()`, and `moveBottomLeft()`.

### setBottomRight

    public final void setBottomRight(QPointF p)

  Set the bottom-right corner of the rectangle to the given `position`. May change the size, but will never change the top-left corner of the rectangle.

See also:
  `bottomRight()`, and `moveBottomRight()`.

### setCoords

    public final void setCoords(double x1,
                                double y1,
                                double x2,
                                double y2)

  Sets the coordinates of the rectangle's top-left corner to (`x1`, `y1`), and the coordinates of its bottom-right corner to (`x2`, `y2`).

See also:
  getCoords(), and `setRect()`.

### setHeight

    public final void setHeight(double h)

  Sets the height of the rectangle to the given `height`. The bottom edge is changed, but not the top one.

See also:
  `height()`, and `setSize()`.

### setLeft

    public final void setLeft(double pos)

  Sets the left edge of the rectangle to the given `x` coordinate. May change the width, but will never change the right edge of the rectangle.

  Equivalent to `setX()`.

See also:
  `left()`, and `moveLeft()`.

### setRect

    public final void setRect(double x,
                              double y,
                              double w,
                              double h)

  Sets the coordinates of the rectangle's top-left corner to (`x`, `y`), and its size to the given `width` and `height`.

See also:
  getRect(), and `setCoords()`.

### setRight

    public final void setRight(double pos)

  Sets the right edge of the rectangle to the given `x` coordinate. May change the width, but will never change the left edge of the rectangle.

See also:
  `right()`, and `moveRight()`.

### setSize

    public final void setSize(QSizeF s)

  Sets the size of the rectangle to the given `size`. The top-left corner is not moved.

See also:
  `size()`, `setWidth()`, and `setHeight()`.

### setTop

    public final void setTop(double pos)

  Sets the top edge of the rectangle to the given `y` coordinate. May change the height, but will never change the bottom edge of the rectangle.

  Equivalent to `setY()`.

See also:
  `top()`, and `moveTop()`.

### setTopLeft

    public final void setTopLeft(QPointF p)

  Set the top-left corner of the rectangle to the given `position`. May change the size, but will never change the bottom-right corner of the rectangle.

See also:
  `topLeft()`, and `moveTopLeft()`.

### setTopRight

    public final void setTopRight(QPointF p)

  Set the top-right corner of the rectangle to the given `position`. May change the size, but will never change the bottom-left corner of the rectangle.

See also:
  `topRight()`, and `moveTopRight()`.

### setWidth

    public final void setWidth(double w)

  Sets the width of the rectangle to the given `width`. The right edge is changed, but not the left one.

See also:
  `width()`, and `setSize()`.

### setX

    public final void setX(double pos)

  Sets the left edge of the rectangle to the given `x` coordinate. May change the width, but will never change the right edge of the rectangle.

  Equivalent to `setLeft()`.

See also:
  `x()`, `setY()`, and `setTopLeft()`.

### setY

    public final void setY(double pos)

  Sets the top edge of the rectangle to the given `y` coordinate. May change the height, but will never change the bottom edge of the rectangle.

  Equivalent to `setTop()`.

See also:
  `y()`, `setX()`, and `setTopLeft()`.

### size

    public final QSizeF size()

  Returns the size of the rectangle.

See also:
  `setSize()`, `width()`, and `height()`.

### toAlignedRect

    public final QRect toAlignedRect()

  Returns a `QRect` based on the values of this rectangle that is the smallest possible integer rectangle that completely contains this rectangle.

See also:
  `toRect()`.

### toRect

    public final QRect toRect()

  Returns a `QRect` based on the values of this rectangle. Note that the coordinates in the returned rectangle are rounded to the nearest integer.

See also:
  QRectF(), and `toAlignedRect()`.

### top

    public final double top()

  Returns the y-coordinate of the rectangle's top edge. Equivalent to `y()`.

See also:
  `setTop()`, `topLeft()`, and `topRight()`.

### topLeft

    public final QPointF topLeft()

  Returns the position of the rectangle's top-left corner.

See also:
  `setTopLeft()`, `top()`, and `left()`.

### topRight

    public final QPointF topRight()

  Returns the position of the rectangle's top-right corner.

See also:
  `setTopRight()`, `top()`, and `right()`.

### translate

    public final void translate(QPointF p)

  Moves the rectangle `offset`. @link com.trolltech.qt.core.QPointF#x() x()} along the x axis and `offset`.`y()` along the y axis, relative to the current position.

### translate

    public final void translate(double dx,
                                double dy)

  Moves the rectangle `dx` along the x-axis and `dy` along the y-axis, relative to the current position. Positive values move the rectangle to the right and downwards.

See also:
  `moveTopLeft()`, `moveTo()`, and `translated()`.

### translated

    public final QRectF translated(QPointF p)

  Returns a copy of the rectangle that is translated `offset`. @link com.trolltech.qt.core.QPointF#x() x()} along the x axis and `offset`.`y()` along the y axis, relative to the current position.

### translated

    public final QRectF translated(double dx,
                                   double dy)

  Returns a copy of the rectangle that is translated `dx` along the x axis and `dy` along the y axis, relative to the current position. Positive values move the rectangle to the right and down.

See also:
  `translate()`.

### united

    public final QRectF united(QRectF other)

  Returns the bounding rectangle of this rectangle and the given `rectangle`.

See also:
  `intersected()`.

### width

    public final double width()

  Returns the width of the rectangle.

See also:
  `setWidth()`, `height()`, and `size()`.

### x

    public final double x()

  Returns the x-coordinate of the rectangle's left edge. Equivalent to `left()`.

See also:
  `setX()`, `y()`, and `topLeft()`.

### y

    public final double y()

  Returns the y-coordinate of the rectangle's top edge. Equivalent to `top()`.

See also:
  `setY()`, `x()`, and `topLeft()`.

### toString

    public java.lang.String toString()

  Returns a string representation of the `this QRectF`.

  Overrides:
    `toString` in class `java.lang.Object`

### clone

    public QRectF clone()

  This method is reimplemented for internal reasons

  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD